/fuel-pump-inventories-purchase-orders-delete-one¶
Summary¶
Source repository:
jef-systems/jef-fuel-pump-inventories-backendSource SHA:
06a517c1413d99627ecd462c7e29779b2dfd2412Source run id:
25888952968Lambda function:
jef-fuel-pump-inventories-purchase-orders-delete-oneHTTP method:
DELETEAPI path:
/fuel-pump-inventories-purchase-orders-delete-oneEndpoint URL:
https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-purchase-orders-delete-onePayload mode:
json-body
Description¶
Function: jef-fuel-pump-inventories-purchase-orders-delete-oneModule: jef-fuel-pump-inventoriesAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /fuel-pump-inventories-purchase-orders-delete-oneTable: jef-fuel-pump-inventories-purchase-ordersPrimary Key: purchase_order_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
purchase\_order\_id: f6d0673e-3c28-4bd1-b23a-6539145c26f9
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.purchase_order_id.type",
"value": "S"
},
{
"key": "root.attributes.purchase_order_id.required",
"value": "True"
},
{
"key": "root.attributes.purchase_order_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.purchase_order_id.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "purchase_order_id",
"value": "f6d0673e-3c28-4bd1-b23a-6539145c26f9"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-purchase-orders-delete-one" -H "Content-Type: application/json" --data-raw "{\"purchase_order_id\": \"f6d0673e-3c28-4bd1-b23a-6539145c26f9\"}"
PowerShell curl¶
curl.exe -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-purchase-orders-delete-one" -H "Content-Type: application/json" --data-raw '{"purchase_order_id": "f6d0673e-3c28-4bd1-b23a-6539145c26f9"}'